c P. Michaels     
c $Id: bsegy.inc,v 1.1.1.1 2022/12/27 22:03:00 pm Exp $          
c Basic Seismic Utilities Include File
c Trace Identification Header bytes:
c (Adapted from include file in use at
c  the University of Utah, 1990-1993)
c     integer*1 hd(240)
      byte      hd(240)
c      1 -   4    Trace sequence number within line
                  integer*4 tsnl
                  equivalence (hd(1),tsnl)
c      5 -   8    Trace sequence number within reel
                  integer*4 tsnt
                  equivalence (hd(5),tsnt)
c      9 -  12    Original Field Record Number
                  integer*4 ofrn
                  equivalence (hd(9),ofrn)
c     13 -  16    Trace number of original field record
                  integer*4 tnofr
                  equivalence (hd(13),tnofr)
c     17 -  20    Energy Source point number
                  integer*4 espn
                  equivalence (hd(17),espn)
c     21 -  24    CDP ensemble number
                  integer*4 cdp
                  equivalence (hd(21),cdp)
c     25 -  28    Trace number within the CDP ensemble
                  integer*4 tncdp
                  equivalence (hd(25),tncdp)
c     29 -  30    Trace ID code (1 = seismic data)
                  integer*2 tic
                  equivalence (hd(29),tic)
c     31 -  32    Number of vertically summed traces yielding trace
                  integer*2 nvs
                  equivalence (hd(31),nvs)
c     33 -  34    Number of horizontally summed traces yielding trace
                  integer*2 nhs
                  equivalence (hd(33),nhs)
c     35 -  36    Data use (1=production; 2=test)
                  integer*2 duse
                  equivalence (hd(35),duse)
c     37 -  40    Shotpoint-Receiver distance (m)
                  integer*4 idist
                  equivalence (hd(37),idist)
c     41 -  44    Station elevation (m)
                  integer*4 irel
                  equivalence (hd(41),irel)
c     45 -  48    Surface elevation of source (m)
                  integer*4 ishe
                  equivalence (hd(45),ishe)
c     49 -  52    Source depth (m)
                  integer*4 ishd
                  equivalence (hd(49),ishd)
c     53 -  56    Datum elevation of receiver
                  integer*4 delr
                  equivalence (hd(53),delr)
c     57 -  60    Datum elevation of source     
                  integer*4 dels
                  equivalence (hd(57),dels)
c     61 -  64    Water depth of source
                  integer*4 wds
                  equivalence (hd(61),wds)
c     65 -  68    Water depth of receiver
                  integer*4 wdr
                  equivalence (hd(65),wdr)
c     69 -  70    Scalar multiplier/division for bytes 41-68
                  integer*2 smul1
                  equivalence (hd(69),smul1)
c     71 -  72    Scalar multiplier/division for bytes 73-88
                  integer*2 smul2
                  equivalence (hd(71),smul2)
c     73 -  76    Shotpoint coordinate - x  (East positive)
                  integer*4 ishlo
                  equivalence (hd(73),ishlo)
c     77 -  80    Shotpoint coordinate - y  (North positive)
                  integer*4 ishla
                  equivalence (hd(77),ishla)
c     81 -  84    Receiver coordinate - x   (East positive)
                  integer*4 irlo
                  equivalence (hd(81),irlo)
c     85 -  88    Receiver coordinate - y   (North positive)
                  integer*4 irla
                  equivalence (hd(85),irla)
c     89 -  90    Coordinate units (1 = meters; 2 = seconds of arc)
                  integer*2 cunits
                  equivalence (hd(89),cunits)
c     91 -  92    Weathering velocity (m/s?)
                  integer*2 wvel
                  equivalence (hd(91),wvel)
c     93 -  94    Subweathering velocity (m/s?)
                  integer*2 swvel
                  equivalence (hd(93),swvel)
c     95 -  96    Uphole time at source
                  integer*2 utimes
                  equivalence (hd(95),utimes)
c     97 -  98    Uphole time at group
                  integer*2 utimeg
                  equivalence (hd(97),utimeg)
c     99 - 100    Source static correction (ms?)
                  integer*2 sstati
                  equivalence (hd(99),sstati)
c    101 - 102    Group static
                  integer*2 gstati
                  equivalence (hd(101),gstati)
c    103 - 104    Total static
                  integer*2 tstati
                  equivalence (hd(103),tstati)
c    105 - 106    Lag time A
                  integer*2 istime
                  equivalence (hd(105),istime)
c    107 - 108    Lag time B
                  integer*2 ibtime
                  equivalence (hd(107),ibtime)
c    109 - 110    Delay recording time (reduced start time) (msec)
                  integer*2 ictime
                  equivalence (hd(109),ictime)
c    111 - 112    Mute start time
                  integer*2 mtimes
                  equivalence (hd(111),mtimes)
c    113 - 114    Mute end time
                  integer*2 mtimee
                  equivalence (hd(113),mtimee)
c    115 - 116    Number of samples in this trace
                  integer*2 length
                  equivalence (hd(115),length)
c    117 - 118    Sample interval in microseconds for this trace
                  integer*2 isi
                  equivalence (hd(117),isi)
c    119 - 120    Gain type (1=fixed; 2=binary; 3=floating)
                  integer*2 gaint
                  equivalence (hd(119),gaint)
c    121 - 122    Gain constant
                  integer*2 gc
                  equivalence (hd(121),gc)
c    123 - 124    Instrument or initial gain in DB
                  integer*2 gidb
                  equivalence (hd(123),gidb)
c    125 - 126    Correlated (1=no; 2=yes)
                  integer*2 tcorr
                  equivalence (hd(125),tcorr)
c    127 - 128    Start sweep frequency (hz)
                  integer*2 tsswee
                  equivalence (hd(127),tsswee)
c    129 - 130    End sweep frequency (hz)
                  integer*2 teswee
                  equivalence (hd(129),teswee)
c    131 - 132    Sweep length in milliseconds
                  integer*2 tsleng
                  equivalence (hd(131),tsleng)
c    133 - 134    Sweep type
                  integer*2 tstype
                  equivalence (hd(133),tstype)
c    135 - 136    Sweep trace taper in msec at start
                  integer*2 tstts
                  equivalence (hd(135),tstts)
c    137 - 138    Sweep trace taper in msec at end
                  integer*2 tstte
                  equivalence (hd(137),tstte)
c    139 - 140    Taper type
                  integer*2 tttype
                  equivalence (hd(139),tttype)
c    141 - 142    Antialias filter frequency
                  integer*2 aif
                  equivalence (hd(141),aif)
c    143 - 144    Antialias filter slope
                  integer*2 ais
                  equivalence (hd(143),ais)
c    145 - 146    Notch filter frequency
                  integer*2 nif
                  equivalence (hd(145),nif)
c    147 - 148    Notch filter slope
                  integer*2 nis
                  equivalence (hd(147),nis)
c    149 - 150    Low cut frequency
                  integer*2 flc
                  equivalence (hd(149),flc)
c    151 - 152    High cut frequency
                  integer*2 fhc
                  equivalence (hd(151),fhc)
c    153 - 154    Low cut slope
                  integer*2 slc
                  equivalence (hd(153),slc)
c    155 - 156    High cut slope
                  integer*2 shc
                  equivalence (hd(155),shc)
c    157 - 158    Shot Time - year
                  integer*2 tyear
                  equivalence (hd(157),tyear)
c    159 - 160    Shot Time - day
                  integer*2 tday
                  equivalence (hd(159),tday)
c    161 - 162    Shot Time - hour of day (24 hour clock)
                  integer*2 thour
                  equivalence (hd(161),thour)
c    163 - 164    Shot Time - minute of hour
                  integer*2 tmin
                  equivalence (hd(163),tmin)
c    165 - 166    Shot Time - second of minute
                  integer*2 tsec
                  equivalence (hd(165),tsec)
c    167 - 168    Time basis code (2 = GMT)
                  integer*2 tbcode
                  equivalence (hd(167),tbcode)
c    169 - 170    Trace weigthing factor
                  integer*2 twf
                  equivalence (hd(169),twf)
c    171 - 172    Geophone group number on roll switch first position
                  integer*2 ggrp1
                  equivalence (hd(171),ggrp1)
c    173 - 174    Geophone group number, trace position 1 on field record
                  integer*2 ggtp
                  equivalence (hd(173),ggtp)
c    175 - 176    Time code translator error light
                  integer*2 errlt
                  equivalence (hd(175),errlt)
c    177 - 178    Distance-azimuth calculation algorithm
                  integer*2 daca
                  equivalence (hd(177),daca)
c    179 - 180    Earth dimension code
                  integer*2 edc
                  equivalence (hd(179),edc)
c    181 - 184    (BSEGY First Break Picks)
                  integer*4 mst
                  equivalence (hd(181),mst)
c    185 - 186    Source polarization azimuth from North (degrees) E=90
                  integer*2 shtazi
                  equivalence (hd(185),shtazi)
c    187 - 188    Charge size in grams
                  integer*2 charge
                  equivalence (hd(187),charge)
c    189 - 190    Shot polarization angle from vertical (degrees) Down=180
                  integer*2 shtver
                  equivalence (hd(189),shtver)
c    191 - 192    Shot time - Day
                  integer*2 sday
                  equivalence (hd(191),sday)
c    193 - 194    Shot time - Hour
                  integer*2 shour
                  equivalence (hd(193),shour)
c    195 - 196    Shot time - Minute
                  integer*2 smin
                  equivalence (hd(195),smin)
c    197 - 198    Shot time - Sec
                  integer*2 sseco
                  equivalence (hd(197),sseco)
c    199 - 202    Shot time - Microsecond (problem alignment, long int)
c                  integer*4 ssmic
c                  equivalence (hd(199),ssmic)
c    break it down into two short integers
                  integer*2  ssmic1
                  equivalence (hd(199),ssmic1)
                  integer*2  ssmic2
                  equivalence (hd(201),ssmic2)
c    203 - 204    Azimuth of receiver from shot (degrees)
                  integer*2 azimut
                  equivalence (hd(203),azimut)
c    205 - 206    Geophone polarization Azimuth of axis (degrees) E=90
                  integer*2 geoazi
                  equivalence (hd(205),geoazi)
c    207 - 208    Geophone polarization angle of axis from vertical
                  integer*2 geover
                  equivalence (hd(207),geover)
c    209 - 212    Time to be added to trace time to get trace start time
                  integer*4 ttrace
                  equivalence (hd(209),ttrace)
c    213 - 216    Recording instrument number
                  character*4 scrs
                  equivalence (hd(213),scrs)
c    217 - 220    Deployment name
                  character*4 deploy
                  equivalence (hd(217),deploy)
c    221 - 224    Shotpont name
                  character*4 spname
                  equivalence (hd(221),spname)
c    225 - 228    Receiver site name
                  character*4 rstnam
                  equivalence (hd(225),rstnam)
c    229 - 332    Shot name
                  character*4 shotid
                  equivalence (hd(229),shotid)
c    233 - 236    Line name
                  character*4 lineid
                  equivalence (hd(233),lineid)
c    237 - 240    Geophone orientation
                  character*4 geoor
                  equivalence (hd(237),geoor)
c
c////////////////////////////////////////////////////////////////////////////
c    Note:  bytes 181-240 are unassigned or for optional use as defined by  /
c           Barry et al. (1975)-"Digital Tape Standards"-SEG                /
c                                                                           /
c////////////////////////////////////////////////////////////////////////////
c
