//   $Id: c_bsegy.h,v 1.1.1.1 2022/12/27 22:03:00 pm Exp $
//NOTE: long int (8 bytes 64bit, 4 bytes 32bit) int (4 bytes both 64 & 32bit)
      struct header
     {
            int    tsnl;    // Trace sequence number within line 01--04
            int    tsnt;    // Trace sequence number within reel 05--08
            int    ofrn;    // Original Field Record Number      09--12
            int    tnofr;   // Trace number original fld record  13--16
            int    espn;    // Energy Source point number        17--20
            int    cdp;     // CDP ensemble number               21--24
            int    tncdp;   // Trace number within CDP ensemble  25--28
      short int    tic;     // Trace ID code (1 = seismic data)  29--30
      short int    nvs;     // Vertical stack fold               31--32
      short int    nhs;     // Horizontal stack fold             33--34
      short int    duse;    // Data use (1=production; 2=test)   35--36
            int    idist;   // Shotpoint-Receiver distance (m)   37--40
            int    irel;    // Station elevation (m)             41--44
            int    ishe;    // Surface elevation of source (m)   45--48
            int    ishd;    // Source depth (m)                  49--52
            int    delr;    // Datum elevation of receiver       53--56
            int    dels;    // Datum elevation of source         57--60
            int    wds;     // Water depth of source             61--64
            int    wdr;     // Water depth of receiver           65--68
      short int    smul1;   // Scalar multr/divr,bytes 41-68     69--70
      short int    smul2;   // Scalar multr/divr,bytes 73-88     71--72
            int    ishlo;   // Shotpoint coordinate - x (East+)  73--76
            int    ishla;   // Shotpoint coordinate - y (North+) 77--80
            int    irlo;    // Receiver coordinate - x  (East+)  81--84
            int    irla;    // Receiver coordinate - y  (North+) 85--88
      short int    cunits;  // Coord. Units (1=m 2=sec. of arc)  89--90
      short int    wvel;    // Weathering velocity (m/s)         91--92
      short int    swvel;   // Subweathering velocity (m/s)      93--94
      short int    utimes;  // Uphole time at source             95--96
      short int    utimeg;  // Uphole time at group              97--98
      short int    sstati;  // Source static correction (ms)     99-100
      short int    gstati;  // Group static                     101-102
      short int    tstati;  // Total static                     103-104
      short int    istime;  // Lag time A                       105-106
      short int    ibtime;  // Lag time B                       107-108
      short int    ictime;  // Delay recording time (msec)      109-110
      short int    mtimes;  // Mute start time                  111-112
      short int    mtimee;  // Mute end time                    113-114
      unsigned short    length;  // Number of samples in this trace  115-116
      unsigned short    isi;     // Sample interval (microsec.)      117-118
      short int    gaint;   // Gain (1=fixed 2=binary 3=float)  119-120
      short int    gc;      // Gain constant                    121-122
      short int    gidb;    // Instrument or initial gain in DB 123-124
      short int    tcorr;   // Correlated (1=no; 2=yes)         125-126
      short int    tsswee;  // Start sweep frequency (hz)       127-128
      short int    teswee;  // End sweep frequency (hz)         129-130
      short int    tsleng;  // Sweep length in milliseconds     131-132
      short int    tstype;  // Sweep type                       133-134
      short int    tstts;   // Sweep trace taper(msec) at start 135-136
      short int    tstte;   // Sweep trace taper(msec) at end   137-138
      short int    tttype;  // Taper type                       139-140
      short int    aif;     // Antialias filter frequency       141-142
      short int    ais;     // Antialias filter slope           143-144
      short int    nif;     // Notch filter frequency           145-146
      short int    nis;     // Notch filter slope               147-148
      short int    flc;     // Low cut frequency                149-150
      short int    fhc;     // High cut frequency               151-152
      short int    slc;     // Low cut slope                    153-154
      short int    shc;     // High cut slope                   155-156
      short int    tyear;   // Shot Time - year                 157-158
      short int    tday;    // Shot Time - day                  159-160
      short int    thour;   // Shot Time - hour (24 hour clock) 161-162
      short int    tmin;    // Shot Time - minute of hour       163-164
      short int    tsec;    // Shot Time - second of minute     165-166
      short int    tbcode;  // Time basis code (2 = GMT)        167-168
      short int    twf;     // Trace weigthing factor           169-170
      short int    ggrp1;   // Geoph group roll switch first pos171-172
      short int    ggtp;    // Geoph group trc pos 1 on fld rec 173-174
      short int    errlt;   // Time code translator error light 175-176
      short int    daca;    // Distance-azimuth calc algorithm  177-178
      short int    edc;     // Earth dimension code             179-180
            int    mst;     // (BSEGY First Break Picks)        181-184
      short int    shtazi;  // Source pol azi (deg) East=90deg  185-186
      short int    charge;  // Charge size in grams             187-188
      short int    shtver;  // Source pol angle (deg.)Down=180  189-190
      short int    sday;    // Shot time - Day                  191-192
      short int    shour;   // Shot time - Hour                 193-194
      short int    smin;    // Shot time - Minute               195-196
      short int    sseco;   // Shot time - Sec                  197-198
//            int    ssmic;   // Shot time - Microsecond          199-202
      short int    ssmic1;  //long integer splits across alignment
      short int    ssmic2;  //use 2 short integers
      short int    azimut;  // Azimuth of rec from shot (deg)   203-204
      short int    geoazi;  // Geoph pol Azm of axis (deg) E=90 205-206
      short int    geover;  // Geoph pol Vert. deg. Down=180    207-208
            int    ttrace;  // add to get trace start time      209-212
      char	scrs[4];    // instrument name                  213-216
      char      deploy[4];  // Deployment name                  217-220
      char      spname[4];  // Shotpont name                    221-224
      char      rstnam[4];  // Receiver site name               225-228
      char      shotid[4];  // Shot name                        229-232
      char      lineid[4];  // Line name                        233-236
      char      geoor[4];   // Geophone orientation             237-240
     };
/*
  |-------------------------------------------------------------------|
  | Note:  bytes 181-240 are unassigned or for optional use as defined|
  |        by Barry et al. (1975)-"Digital Tape Standards"-SEG        |
  |-------------------------------------------------------------------|
*/
